import { reactive } from "vue"

/** 维护其他系统过来的特殊字段  这里用来记录，以免其他系统传过来的参数混乱 不好维护 */
export type queryParamsType = {}
const queryParams = reactive<queryParamsType>({})

export function initQueryParams() {
   const paramsFromUrl = getParamsFromUrl()
   if (paramsFromUrl) {
      const a = paramsFromUrl.get("a")
      const b = paramsFromUrl.get("b")
      console.log(a, b, 2333)
   }
   console.log(queryParams, "携带参数")
}

function getParamsFromUrl() {
   const fullUrl = window.location.href
   const queryIndex = fullUrl.indexOf("?")
   if (queryIndex === -1) return undefined
   const queryString = fullUrl.slice(queryIndex + 1)
   const params = new URLSearchParams(queryString)
   return params
}
export default queryParams
